<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Folder Include="Hubs\" />
    <Folder Include="Models\" />
    <Folder Include="Interfaces\" />
    <Folder Include="Extensions\" />
    <Folder Include="Filters\" />
    <Folder Include="Services\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.SignalR" Version="1.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Redis" Version="1.2.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ShadowedRealms.Core\ShadowedRealms.Core.csproj" />
    <ProjectReference Include="..\ShadowedRealms.Shared\ShadowedRealms.Shared.csproj" />
  </ItemGroup>

</Project>
